## org.apache.myfaces.custom.tabbedpane
Class HtmlPanelTab

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIPanel
                  javax.faces.component.html.HtmlPanelGroup
                      org.apache.myfaces.custom.tabbedpane.HtmlPanelTab

All Implemented Interfaces:
  javax.faces.component.StateHolder

public class HtmlPanelTab
extends javax.faces.component.html.HtmlPanelGroup

Version:
  $Revision: 167327 $ $Date: 2004-11-26 09:29:13 -0500 (Fri, 26 Nov 2004) $
Author:
  Manfred Geiler (latest modification by $Author: oros $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Constructor Summary
`HtmlPanelTab()`

Method Summary
`java.lang.String` `getFamily()`
`java.lang.String` `getLabel()`
`boolean` `isRendered()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setLabel(java.lang.String label)`

Methods inherited from class javax.faces.component.html.HtmlPanelGroup
`getStyle, getStyleClass, setStyle, setStyleClass`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlPanelTab

    public HtmlPanelTab()

Method Detail

### getFamily

    public java.lang.String getFamily()

### setLabel

    public void setLabel(java.lang.String label)

### getLabel

    public java.lang.String getLabel()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

### isRendered

    public boolean isRendered()